%global without_python3 1

Name: python-schedutils
Version: 0.6
Release: 6
Summary: Linux scheduler python bindings

License: GPLv2
URL: https://rt.wiki.kernel.org/index.php/Tuna
Source0: https://git.kernel.org/pub/scm/libs/python/%{name}/%{name}.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif

%description
Python interface for the Linux scheduler.

%package -n python2-schedutils
Summary: %{summary}
%{?python_provide:%python_provide python2-schedutils}

%description -n python2-schedutils
Python2 interface for the Linux scheduler.

%if 0%{?with_python3}
%package -n python3-schedutils
Summary: %{summary}
%{?python_provide:%python_provide python3-schedutils}

%description -n python3-schedutils
Python3 interface for the Linux scheduler.
%endif

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
rm -rf %{buildroot}
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-schedutils
%defattr(-,root,root)
%license COPYING
%if 0%{?without_python3}
%{_bindir}/pchrt
%{_bindir}/ptaskset
%endif
%{python2_sitearch}/schedutils.so
%{python2_sitearch}/*.egg-info

%if 0%{?with_python3}
%files -n python3-schedutils
%defattr(-,root,root)
%license COPYING
%{_bindir}/pchrt
%{_bindir}/ptaskset
%{python3_sitearch}/schedutils*.so
%{python3_sitearch}/*.egg-info
%endif

%files help
%defattr(-,root,root)
%{_mandir}/man1/pchrt.1.gz
%{_mandir}/man1/ptaskset.1.gz

%changelog
* Fri Aug 21 2020 shixuantong <shixuantong@huawei.com> - 0.6-6
- add release version for rebuild

* Mon Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6-5
- Package init
